| Version: 3.2.5

Classes | Macros | Enumerations | Variables
mediactrl.h File Reference

## Classes

class | wxMediaEvent
| Event wxMediaCtrl uses. More...
class | wxMediaCtrl
| wxMediaCtrl is a class for displaying various types of media, such as videos, audio files, natively through native codecs. More...

## Macros

#define | wxMC_NO_AUTORESIZE 0x0001

## Enumerations

enum | wxMediaState { wxMEDIASTATE_STOPPED , wxMEDIASTATE_PAUSED , wxMEDIASTATE_PLAYING }
| Describes the current state of the media. More...
enum | wxMediaCtrlPlayerControls { wxMEDIACTRLPLAYERCONTROLS_NONE = 0 , wxMEDIACTRLPLAYERCONTROLS_STEP = 1 << 0 , wxMEDIACTRLPLAYERCONTROLS_VOLUME = 1 << 1 , wxMEDIACTRLPLAYERCONTROLS_DEFAULT }

## Variables

wxEventType | wxEVT_MEDIA_LOADED
wxEventType | wxEVT_MEDIA_STOP
wxEventType | wxEVT_MEDIA_FINISHED
wxEventType | wxEVT_MEDIA_STATECHANGED
wxEventType | wxEVT_MEDIA_PLAY
wxEventType | wxEVT_MEDIA_PAUSE

## Macro Definition Documentation

## ◆ wxMC_NO_AUTORESIZE

#define wxMC_NO_AUTORESIZE 0x0001

## Enumeration Type Documentation

## ◆ wxMediaCtrlPlayerControls

enum wxMediaCtrlPlayerControls

Enumerator
wxMEDIACTRLPLAYERCONTROLS_NONE | No controls. return wxMediaCtrl to its default state.
wxMEDIACTRLPLAYERCONTROLS_STEP | Step controls like fastforward, step one frame etc.
wxMEDIACTRLPLAYERCONTROLS_VOLUME | Volume controls like the speaker icon, volume slider, etc.
wxMEDIACTRLPLAYERCONTROLS_DEFAULT | Default controls for the toolkit. Currently a combination for `wxMEDIACTRLPLAYERCONTROLS_STEP` and `wxMEDIACTRLPLAYERCONTROLS_VOLUME`.

## ◆ wxMediaState

enum wxMediaState

Describes the current state of the media.

See also
  wxMediaCtrl::GetState()

Enumerator
wxMEDIASTATE_STOPPED | No media is being currently played.
wxMEDIASTATE_PAUSED | Current media is paused.
wxMEDIASTATE_PLAYING | There is media currently playing.

## Variable Documentation

## ◆ wxEVT_MEDIA_FINISHED

wxEventType wxEVT_MEDIA_FINISHED

## ◆ wxEVT_MEDIA_LOADED

wxEventType wxEVT_MEDIA_LOADED

## ◆ wxEVT_MEDIA_PAUSE

wxEventType wxEVT_MEDIA_PAUSE

## ◆ wxEVT_MEDIA_PLAY

wxEventType wxEVT_MEDIA_PLAY

## ◆ wxEVT_MEDIA_STATECHANGED

wxEventType wxEVT_MEDIA_STATECHANGED

## ◆ wxEVT_MEDIA_STOP

wxEventType wxEVT_MEDIA_STOP